Page MenuHome

Eevee: Screen Space Reflections break with rotated dupli instances
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17134 64 Bits
Graphics card: GeForce GTX 1080 with Max-Q Design/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.39

Blender Version
Broken: version: 2.80 (sub 60), branch: master, commit date: 2019-05-09 13:13, hash: rB6ef48b13186c
Worked: version: 2.80 (sub 60), branch: master, commit date: 2019-05-06 16:39, hash: rBc0432c2385e6

Short description of error
Screen space reflection smudges when the instance object has a different orientation than the original

Exact steps for others to reproduce the error
Open


Rotate the view to see the smudged reflection happening. It looks like the effect accumulates.
Hit Alt + R to clear the rotation of the plane, the reflection will look ok.

Details

Type
Bug

Event Timeline

Shading also broken

System Information
Operating system: Linux-4.15.0-47-generic-x86_64-with-debian-buster-sid 64 Bits
Graphics card: GeForce GTX 1070/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 390.116

Blender Version
Broken: version: 2.80 (sub 60), branch: blender2.7, commit date: 2019-05-09 17:55, hash: rB427c75e4c20b
Worked: version: 2.80 (sub 60), branch: blender2.7, commit date: 2019-05-07 19:17, hash: rB3dc9da3a74ee

Workbench shadows doesn't work correctly even in version from 2019-05-07 it was broken earlier

Broken: 2.80 (sub 60), branch: blender2.7, commit date: 2019-05-07 19:17, hash: rB3dc9da3a74ee
Worked: version: 2.80 (sub 59), branch: blender2.7, commit date: 2019-04-24 22:25, hash: rBd966c2f0c2ad

Daniel Salazar (zanqdo) renamed this task from Screen Space Reflections break with rotated dupli instances to Eevee: Screen Space Reflections break with rotated dupli instances.

Most likely be fixed in next version. It was an issue with inverse matrices on duplis.

@Clément Foucault (fclem) yes, looks like this bug was fixed, including my notes

Yes according to a brief test

Brecht Van Lommel (brecht) claimed this task.